<?php if (Session::get("tipo_usuario") != "2"){ show_403();} ?>
<?php import_file(DIR_TEMPLATES."header.php", ["title" => "Meu Carrinho"]); ?>

<?php 

	import_file(DIR_MODELS."Model.class.php");
	import_file(DIR_LIBRARIES."functions.php");

	$config = obter_configuracao();

?>

<div class="form-row align-items-center mb-3">
	<div class="col-md-6">
		<h4 class="mb-0">
			<i class="fa-regular fa-shopping-cart"></i> Meu Carrinho
		</h4>
	</div>

	<div class="col-md-6 text-right">
		<button type="button" id="btn-finalizar-compra" class="btn btn-success">
			<i class="fa-regular fa-cart-circle-check"></i> Finalizar Compra
		</button>
	</div>
</div>

<div class="content-box">
	<div class="table-responsive">
		<table class="table table-sm table-hover table-striped">
			<thead class="thead-inverse">
				<tr>
					<th class="align-middle text-left" style="width: 70%;">Produto</th>
					<th class="align-middle text-center" style="width: 25%;">Valor</th>
					<th class="align-middle text-center" style="width: 5%;">Remover</th>
				</tr>
			</thead>
			<tbody>
				<?php 

					$model = new Model();

					$busca = $model->query("
						SELECT * FROM carrinho_compra a
						INNER JOIN produto b ON (a.id_produto = b.id_produto)
						WHERE 
							a.id_usuario = :id_usuario
						ORDER BY 
							a.id_carrinho_compra ASC 
					", [
						":id_usuario" => Session::get("id_usuario")
					]);

					$total = 0;

					foreach ($busca->fetchAll() as $dados):
						$total += $dados->valor_produto - ($dados->valor_produto * pct($dados->porcentagem_desc_cliente));

				?>

					<tr class="tr-produtos">
						<td class="align-middle text-left">
							<a href="<?php echo show_link("/visualizar-produto/?produto=".urlencode(encrypt_encode($dados->id_produto))); ?>">
								<?php echo $dados->nome_produto; ?>		
							</a>
						</td>

						<td class="align-middle text-center">
							<?php echo  money_mask_BR($dados->valor_produto - ($dados->valor_produto * pct($dados->porcentagem_desc_cliente))); ?>		
						</td>
						
						<td class="align-middle text-center">
							<button 
								type="button" 
								class="btn btn-danger btn-square btn-remover" 
								data-value="<?php echo $dados->id_carrinho_compra; ?>" 
								data-toggle="tooltip" 
								data-placement="bottom" 
								title="Remover"
							>
								<i class="fa-regular fa-trash-alt"></i>
							</button>
						</td>
					</tr>	
				<?php endforeach; ?>
			</tbody>
			<tfoot>
				<tr>
					<th class="align-middle text-right" colspan="3">
						Valor Total: <?php echo money_mask_BR($total); ?>
					</th>
				</tr>
			</tfoot>
		</table>
	</div>
</div>

<!-- Modal Finalizar Compra -->
<div class="modal fade" id="modal-finalizar-compra" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-lg" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">
					<i class="fa-regular fa-cart-circle-check"></i> Finalizar Compra
				</h5>
			</div>
			<form id="form-finalizar-compra">
				<div class="modal-body">
					<div class="form-group">
						<label for="forma-pagamento">Forma de Pagamento</label>
						<select name="forma_pagamento" id="forma-pagamento" class="form-control">
							<option value="">Selecione um...</option>
							<option value="<?php echo $config->tipo_forma_pagamento; ?>"><?php echo $config->tipo_forma_pagamento; ?></option>
							<option value="Saldo">Saldo</option>
							<option value="Transferência Bancária">Transferência Bancária</option>
						</select>
					</div>

					<div id="info-bancaria" class="alert mt-3 mb-0" style="display: none; border: 1px solid rgba(0,0,0,0.125); border-radius: 0.25rem;">
						<h5 class="mb-3">
							<?php echo $config->nome_banco; ?>
						</h5>

						<p class="mb-0">
							<strong>Agência:</strong> <?php echo $config->numero_agencia; ?>
						</p>
						<p class="mb-0">
							<strong>Conta:</strong> <?php echo $config->numero_conta; ?>
						</p>
						<p>
							<strong>PIX:</strong> <?php echo $config->pix; ?>
						</p>

						<p class="mb-0">
							<strong>Razão Social:</strong> <?php echo $config->razao_social; ?>
						</p>
						<p>
							<strong>CNPJ:</strong> <?php echo $config->cnpj_empresa; ?>
						</p>
						<p class="mb-0">
							<strong>Aviso:</strong> 
							Envie o comprovante de transferência bancária no e-mail 
							<a href="javascript:void(0)" onclick="copyText('<?php echo $config->email_confirmacao; ?>', function(){
								$.toast({
									heading: 'Aviso',
									text: 'E-mail copiado com sucesso!',
									icon: 'success',
									hideAfter: 5000,
									loader: true
								})
							})">
								<?php echo $config->email_confirmacao; ?>
							</a> 
							em até 72h para está cofirmando o seu pagamento!
						</p>
					</div>
				</div>
				<div class="modal-footer">
					<button type="submit" class="btn btn-success">
						<i class="fa-regular fa-check"></i> Confirmar
					</button>
					<button type="button" class="btn btn-secondary" data-dismiss="modal">
						<i class="fa-regular fa-times"></i> Cancelar
					</button>
				</div>
			</form>
		</div>
	</div>
</div>

<!-- Modal Remover Produto do Carrinho -->
<div class="modal fade" id="modal-remover-carrinho-compra" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title"><i class="fa-regular fa-exclamation-triangle"></i> Aviso</h5>
			</div>
			<div class="modal-body">
				<p>Tem certeza que deseja <strong class="text-danger">REMOVER</strong> esse Produto do Carrinho de Compra?</p>
			</div>
			<div class="modal-footer">
				<form action="<?php echo show_link("/remover-carrinho-compra/"); ?>" method="post">
					<input type="hidden" name="id_carrinho_compra" id="id-carrinho-compra" class="d-none" required>

					<button type="submit" class="btn btn-white">
						<i class="fa-regular fa-check"></i> Sim
					</button>
					<button type="button" class="btn btn-white" data-dismiss="modal">
						<i class="fa-regular fa-times"></i> Não
					</button>
				</form>
			</div>
		</div>
	</div>
</div>

<script>
	$(".btn-remover").click(function(){
		var id_carrinho_compra = $(this).attr("data-value");
		$("#id-carrinho-compra").val(id_carrinho_compra);
		$("#modal-remover-carrinho-compra").modal("show");
	});

	$("#btn-finalizar-compra").click(function(){
		if ($(".tr-produtos").length > 0) {
			$("#form-finalizar-compra").each(function(){
				this.reset();
			});

			$("#info-bancaria").fadeOut(0);

			$("#modal-finalizar-compra").modal("show");
		}
		else{
			$.toast({
				heading: "Aviso",
				text: "Você não possui Produtos no Carrinho!",
				icon: "warning",
				hideAfter: 5000,
				loader: true
			});
		}
	});

	$("#forma-pagamento").click(function(){
		if ($(this).val() == "Transferência Bancária") {
			$("#info-bancaria").show();
		}
		else{
			$("#info-bancaria").fadeOut(0);
		}
	});

	$("#form-finalizar-compra").submit(function(event){
		event.preventDefault();

		var form = $(this);

		$.ajax({
			"type": "POST",
			"data": form.serialize(),
			"url": "<?php echo show_link("/finalizar-compra/"); ?>",
			"async": true 
		}).then(function(response){
			var result = $.parseJSON(response);

			if (result.status == true) {
				if (result.tipo == "pagseguro") {
					window.location.href = result.link_pagseguro;
				}
				else{
					window.location.href = "<?php echo show_link("/meu-carrinho-compra/?compra=true"); ?>";

					$("#modal-finalizar-compra").modal("hide");
				}
			}
			else if (result.status == false && result.motivo == "saldo") {
				$.toast({
					heading: "Aviso",
					text: "Não foi possível finalizar a compra. Você não possui saldo suficiente!",
					icon: "warning",
					hideAfter: 5000,
					loader: true
				});
			}
			else if (result.status == false && result.motivo == "quantidade") {
				$.toast({
					heading: "Aviso",
					text: "Produto Esgotado!",
					icon: "warning",
					hideAfter: 5000,
					loader: true
				});
			}
			else{
				$.toast({
					heading: "Aviso",
					text: "Erro ao Finalizar a Compra!",
					icon: "error",
					loader: true
				});
			}
		}, function(error){
			console.log("Erro: "+error);
		});
	});

	if ($_GET("remover") == "true") {
		$.toast({
			heading: "Aviso",
			text: "Produto Removido do Carrinho com Sucesso!",
			icon: "success",
			loader: true
		});
		window.history.pushState("", "", "<?php echo show_link(); ?>");
	}
	else if ($_GET("remover") == "false") {
		$.toast({
			heading: "Aviso",
			text: "Erro ao Remover o Produto do Carrinho!",
			icon: "error",
			loader: true
		});
		window.history.pushState("", "", "<?php echo show_link(); ?>");
	}

	if ($_GET("compra") == "true") {
		$.toast({
			heading: "Aviso",
			text: "Compra Realizada com Sucesso!",
			icon: "success",
			loader: true
		});

		$.toast({
			heading: "Aviso",
			text: "A compra terá de passar por uma avaliação antes de ser altorizada. Por favor aguarde!",
			icon: "info",
			hideAfter: 5000,
			loader: true
		});

		window.history.pushState("", "", "<?php echo show_link(); ?>");
	}
</script>

<?php import_file(DIR_TEMPLATES."footer.php"); ?>